/*
 *
 * Copyright (C) 2003 Sadysta ( http://sadysta.ath.cx )
 * Copyright (C) 2007 Tomasz Ostrowski ( http://ostry.w.szu.pl ) - modified from 1.8.9 source
 *
 * This file is part of Free GG.
 *
 * Free GG is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Free GG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Free GG; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Popup.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TMyPopupForm *MyPopupForm;
//---------------------------------------------------------------------------
__fastcall TMyPopupForm::TMyPopupForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TMyPopupForm::Timer1Timer(TObject *Sender)
{
        ((TTimer*)Sender) -> Tag--;
        if (((TTimer*)Sender) -> Tag <= 0)
        {
                ((TTimer*)Sender) -> Enabled = false;
                Hide();
        }
}
//---------------------------------------------------------------------------
void __fastcall TMyPopupForm::Shape1MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y)
{
        Timer1 -> Tag = 0;
        Timer1 -> Enabled = false;
        Hide();
}
//---------------------------------------------------------------------------

void __fastcall TMyPopupForm::FormShow(TObject *Sender)
{
        ShowWindow (Application -> Handle, SW_HIDE);        
}
//---------------------------------------------------------------------------

